import { Component, Inject } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material';

@Component({
  selector: 'cse-confirm-dialog',
  templateUrl: './confirm-dialog.component.html',
  styleUrls: ['./confirm-dialog.component.scss'],
})
export class ConfirmDialogComponent {
  title: string;
  text: string[];
  cancelText: string;
  confirmText: string;
  confirmColor: string;

  constructor(
    private dialogRef: MatDialogRef<ConfirmDialogComponent>,
    @Inject(MAT_DIALOG_DATA) data: any,
  ) {
    // this.course = data.course;
    // this.type = data.type;
    const {
      title = 'Are you sure?',
      text = 'Are you sure you want to do this?',
      cancelText = 'Cancel',
      confirmText = 'Confirm',
      confirmColor = 'primary',
    } = data;

    this.title = title;
    this.text = text;
    this.cancelText = cancelText;
    this.confirmText = confirmText;
    this.confirmColor = confirmColor;

    if (typeof text === 'string') {
      this.text = [text];
    }
  }

  confirm() {
    this.dialogRef.close({ confirmed: true });
  }

  cancel() {
    this.dialogRef.close({ confirmed: false });
  }
}
